#
# Conditional build:
%bcond_without	opengl		# build without opengl
#
Summary:	Turn based strategy game with isometric graphic
Summary(pl.UTF-8):	Turowa gra strategiczna z grafiką izometryczną
Name:		mars
Version:	0.2.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/mars/%{name}-%{version}-src.tar.gz
# Source0-md5:	c86674cd1fd6d0045e43218d929eb391
Patch0:		%{name}-install.patch
Patch1:		%{name}-opt.patch
URL:		http://sourceforge.net/projects/mars/
%{?with_opengl:BuildRequires:	OpenGL-devel}
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	scons
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mars, Land of No Mercy is a turn based strategy game with isometric
graphic.

The player is the leader of a mercenary group that works on the Red
Planet in the period of the terrestrian colonization.

%description -l pl.UTF-8
Mars, Land of No Mercy jest turową strategią z izometryczną grafiką.

Gracz staje na czele najemnej grupy, która pracuje na Czerwonej
Planecie w okresie wczesnej kolonizacji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%scons \
	strip=no \
	with_opengl=%{?with_opengl:yes}%{!?with_opengl:no}

%install
rm -rf $RPM_BUILD_ROOT
# required by scons
install -d $RPM_BUILD_ROOT

%scons install \
	strip=no \
	with_opengl=%{?with_opengl:yes}%{!?with_opengl:no} \
	root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%changelog
* Wed Sep 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mars.git;a=log;h=master

* Wed Sep 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 92c190f
- updated to 0.2.1
- removed obsolete path patch (this version supports installed game)
- added install patch (allow build/install steps separation)
- added opt patch (allow passing CXX and CXXFLAGS)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f77e7a1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 41c540a
- converted to UTF-8

* Wed Dec 27 2006 Maciej Pijanka <agaran@pld-linux.org> 74acf9b
- test

* Wed Dec 27 2006 ankry <ankry@pld-linux.org> 7c75ddd
- re-added from rev. 1.2

* Wed Dec 27 2006 lisu <lisu@pld-linux.org> 7957a0a
- no longer needed

* Wed Nov 08 2006 shadzik <shadzik@pld-linux.org> 40d7c58
- add TODO

* Wed Nov 08 2006 shadzik <shadzik@pld-linux.org> 0685f13
- reverted

* Wed Nov 08 2006 shadzik <shadzik@pld-linux.org> ea76647
- do not apply patch0; it somehow breaks the game with SDL Parachut deployed error; trying to understand why

* Wed Nov 08 2006 lisu <lisu@pld-linux.org> 5860fe7
- set path for data dir

* Wed Nov 08 2006 shadzik <shadzik@pld-linux.org> 259c64d
- typo

* Wed Nov 08 2006 shadzik <shadzik@pld-linux.org> 122a143
- BR sed; cosmetics

* Wed Nov 08 2006 lisu <lisu@pld-linux.org> cea4bef
- set path to data dir

* Wed Nov 08 2006 lisu <lisu@pld-linux.org> c8e447e
- initial version
- it doesn't work correctly yet

